Kryptronic Software Support Forum

You are viewing this forum as a guest. Login to an existing account, or create a new account, to reply to topics and to create new topics.

#1 01-01-2018 06:48:07

CrownRoyal
Member
Registered: 01-10-2009
Posts: 708

script execution error on installer page

While the installer page works, it says at the top of the page;

Strict Standards: Declaration of COREinstaller::exec() should be compatible with COREmain::exec($input = Array) in /home/########/public_html/store/installer.php on line 11358

Should we be concerned?

Last edited by CrownRoyal (01-01-2018 06:48:25)

Offline

 

#2 01-02-2018 09:33:04

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19512
Website

Re: script execution error on installer page

This is an indication you've moved to a new server with a newer version of PHP, or you have recently updated PHP on your server.  This does not affect installer operation, however does indicate other things are going to have a problem because your software is out of date.  To resolve:

1. Pick up a new installer package at https://kryptronic.com/Software-Downloads and upload the files contained in it to your install, overwriting the ones that are there.  This will solve the issue you reported.

2. Run your installer.php script and on the PEAR installation step, choose to update/install/overwrite PEAR modules. You don't/shouldn't have to run the installer further or update your actual software install beyond those pear modules, so skip the remaining steps and do a database reload of recently changed files on the last step to pick up the new PEAR module version numbers.

This will fix all kinds of things you're about to run into like faulty spinners due to PEAR JSON parsing changes, and various warnings and errors throughout which are addressed by changing from PEAR Mail to PEAR Mail2 with a few updates to those modules.


Nick Hendler

Offline

 

Board footer